List a Specific Webhook
- URL:https://<webhook-url>/<webhookID>
- Operations:Activate Webhook, Deactivate Webhook, Delete Webhook, Update Webhook
- Child Resources:Notification Status
- Version Introduced:10.7
Description
This page displays information for specified webhooks and provides access to the update, delete, deactivate operations and the notification status resource page.
Example usage
https://webadaptor.domain.com/webadaptorname/sharing/rest/portals/<org ID>/webhooks/<webhookId>
JSON response example
{
"id": "2f2d59bd74b4496fa488f2118b7f0a47",
"accountId": "0123456789ABCDEF",
"payloadUrl": "https://machineName:8001",
"secret": "searchHooks",
"isActive": true,
"name": "Test",
"config": {
"deactivationPolicy": {
"numberOfFailures": 5,
"daysInPast": 5
}
},
"ownerId": "86ccfe86be2d490a8507eaea82749dc6",
"created": 1548289054928,
"modified": 1548289054928,
"events": [
"/items"
]
}